Skip to main content

Authors API

Manage blog authors. All endpoints require authentication.

Author object

FieldTypeDescription
author_idIntUnique author identifier (read-only)
nameStringAuthor display name
is_activeBooleantrue = active, false = inactive
job_titleStringAuthor's job title
imageStringPath to the author's profile image
short_descriptionStringShort bio / excerpt
descriptionStringFull biography (HTML supported)
url_keyStringURL slug for the author page
store_idsInt[]Store view IDs this author is visible on
meta_titleStringSEO meta title
meta_descriptionStringSEO meta description
robotsStringRobots directive (e.g. INDEX,FOLLOW)
facebook_urlStringFacebook profile URL
twitter_urlStringTwitter/X profile URL
linkedin_urlStringLinkedIn profile URL
website_urlStringPersonal website URL
youtube_urlStringYouTube channel URL
instagram_urlStringInstagram profile URL
tiktok_urlStringTikTok profile URL
created_atStringCreation timestamp (read-only)
updated_atStringLast update timestamp (read-only)

Get author

GET /rest/V1/blog/author/:authorId

Response:

{
"author_id": 1,
"name": "Jane Doe",
"is_active": true,
"job_title": "Content Manager",
"image": "blog/author/jane.jpg",
"short_description": "Jane writes about e-commerce trends.",
"description": "<p>Full biography...</p>",
"url_key": "jane-doe",
"store_ids": [1],
"meta_title": "Jane Doe - Content Manager",
"meta_description": "Posts by Jane Doe.",
"facebook_url": "https://facebook.com/janedoe",
"twitter_url": "https://twitter.com/janedoe",
"linkedin_url": null,
"website_url": null,
"youtube_url": null,
"instagram_url": null,
"tiktok_url": null,
"created_at": "2024-01-05 09:00:00",
"updated_at": "2024-04-01 11:00:00"
}

Errors: 404 author not found.

List authors

GET /rest/V1/blog/authors

Supports filtering and pagination.

Response:

{
"items": [ { ... }, { ... } ],
"search_criteria": { "filter_groups": [], "page_size": 20, "current_page": 1 },
"total_count": 5
}

Create author

POST /rest/V1/blog/author

Request body:

{
"author": {
"name": "John Smith",
"is_active": true,
"url_key": "john-smith",
"job_title": "Developer Advocate",
"store_ids": [1]
}
}

name, url_key, and store_ids are required. All other fields are optional.

Response: the created author object with author_id assigned.

Update author

PUT /rest/V1/blog/author/:authorId

Request body: same structure as Create author. Include only the fields you want to change.

Response: the updated author object.

Errors: 404 author not found.

Delete author

DELETE /rest/V1/blog/author/:authorId

Response:

true

Errors: 404 author not found.